<?xml version="1.0" encoding="utf-8"?>
<com.qmuiteam.qmui.widget.QMUIWindowInsetLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/app_color_blue">


    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginTop="?attr/qmui_topbar_height"
        android:background="@color/main_background">
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:orientation="horizontal">
            <LinearLayout
                android:layout_width="90dp"
                android:layout_height="match_parent"
                android:layout_marginBottom="35dp"
                android:background="@color/white"
                android:orientation="vertical">
                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/rv_left"
                    android:layout_width="match_parent"
                    android:layout_height="0dp"
                    android:layout_weight="1"
                    app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <ImageView
                        android:id="@+id/good_gengxin"
                        android:layout_width="30dp"
                        android:layout_height="30dp"
                        android:layout_centerInParent="true"
                        android:layout_marginTop="@dimen/dp_10"
                        android:src="@mipmap/sxsp" />
                </RelativeLayout>

            </LinearLayout>

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_marginBottom="35dp"
                android:layout_weight="1"
                android:orientation="vertical">

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginBottom="20dp"
                    app:layout_constraintLeft_toRightOf="@+id/rv_left"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toTopOf="parent">

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/rv_right"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginRight="250dp"
                        android:orientation="vertical"
                        app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager" />

                    <LinearLayout
                        android:layout_alignParentRight="true"
                        android:layout_marginRight="@dimen/dp_10"
                        android:layout_width="250dp"
                        android:layout_height="wrap_content"
                        android:orientation="vertical">
                        <ImageView
                            android:id="@+id/loadgood"
                            android:layout_marginTop="10dp"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:src="@mipmap/user"/>
                        <RelativeLayout
                            android:id="@+id/loadgoodliebiao"
                            android:layout_marginTop="@dimen/dp_10"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent">
                            <ScrollView
                                android:layout_width="match_parent"
                                android:layout_height="match_parent"
                                android:fadingEdge="vertical"
                                tools:ignore="Suspicious0dp">
                                <androidx.recyclerview.widget.RecyclerView
                                    android:id="@+id/datatab_paiduishangping"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:background="@color/main_background"/>
                            </ScrollView>
                        </RelativeLayout>
                    </LinearLayout>
                </RelativeLayout>
            </LinearLayout>




        </LinearLayout>
        <com.bonait.bnframework.modules.home.fragment.mode.add_makegood_control
            android:id="@+id/add_makegood"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:visibility="gone"
            android:clickable="true"
            android:focusable="true"
            />
        <com.bonait.bnframework.modules.home.fragment.mode.add_manguan_control
            android:id="@+id/add_manguan"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:visibility="gone"
            android:clickable="true"/>
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:layout_marginLeft="10dp">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_margin="5dp"
                android:text="设备:"
                android:textSize="@dimen/TitleSize" />

            <TextView
                android:id="@+id/plc_status"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_margin="5dp"
                android:text="正常"
                android:textColor="@color/green_primary"
                android:textSize="@dimen/TitleSize" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_margin="5dp"
                android:text="水箱:"
                android:visibility="gone"
                android:textSize="@dimen/TitleSize" />

            <TextView
                android:id="@+id/wendu1"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_margin="5dp"
                android:visibility="gone"
                android:text="89.9°C"
                android:textColor="@color/green_primary"
                android:textSize="@dimen/TitleSize" />

            <TextView
                android:id="@+id/cheng_clear"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_margin="5dp"
                android:text="称(单击清零):"
                android:paddingTop="15dp"
                android:textSize="@dimen/TitleSize" />

            <TextView
                android:id="@+id/dianzichen"
                android:layout_width="100dp"
                android:layout_height="wrap_content"
                android:layout_margin="5dp"
                android:text="11.9g"
                android:textColor="@color/green_primary"
                android:textSize="@dimen/TitleSize" />
            <!--            <TextView-->
            <!--                android:id="@+id/pf_ms"-->
            <!--                android:layout_width="match_parent"-->
            <!--                android:layout_height="wrap_content"-->
            <!--                android:paddingLeft="10dp"-->
            <!--                android:textColor="#730080"-->
            <!--                android:text="信息配方：正在制作过程中..."-->
            <!--                android:layout_margin="5dp"/>-->

        </LinearLayout>
    </RelativeLayout>
    <com.qmuiteam.qmui.widget.QMUITopBarLayout
        android:id="@+id/topbar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/app_color_blue" />


</com.qmuiteam.qmui.widget.QMUIWindowInsetLayout>